<template>
  <div id="app">
    <div class="topnav">
      <router-link id="home" to="/">ASTRONOSPOT</router-link> |
      <router-link v-if="connected === false" to="/signup">Créer mon compte</router-link> |
      <router-link v-if="connected === false" to="/login">Connexion</router-link>
      <router-link v-if="connected === true" to="/add-spot">Ajout de Spot</router-link>
      <router-link to="/carte">Carte détaillée</router-link>
      <span class="deconnexion" v-on:click="deconnexion" v-if="connected === true"> Déconnexion </span>
      <span v-if="connected === true"> Bienvenue {{userName}} </span>
    </div>
    <router-view/>
  </div>

</template>

<script>
import Cookies from 'js-cookie'
// const jwt = require('jsonwebtoken')

export default {
  data: function () {
    return {
      connected: false,
      userName: '',
      token: ''
    }
  },
  methods: {
    isConnected () {
      this.token = Cookies.get('user')
      if (this.token) {
        this.connected = true
        console.log('token', this.token)
      }
    },
    deconnexion () {
      Cookies.remove('token')
      Cookies.remove('user')
      this.connected = false
    }
  },
  async mounted () {
    await this.isConnected()
    let user = Cookies.get('user')
    user = JSON.parse(user)
    this.userName = user.fullname
    console.log('username :', this.userName)
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

/* Add a black background color to the top navigation */
.topnav {
  background-color: #333;
  overflow: hidden;
  font-family: fontawesome;
}

/* Style the links inside the navigation bar */
.topnav a, .topnav span, .deconnexion {
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 20px;
  font-weight: bold;
}

.topnav span {
  float: right;
}

/* Change the color of links on hover */
.topnav a:hover, .deconnexion:hover {
  background-color: #42b983;
  color: black;
  cursor: pointer;
}

/* Add a color to the active/current link */
.topnav a.active {
  background-color: #42b983;
  color: white;
}

.topnav #home {
  font-family: fontawesome;
  color: #42b983;
  font-size: 25px;
}

.topnav #home:hover {
  color: black;

}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
